Question 持续集成使用 apt 安装软件报错

trtrtr6 · 2019年09月02日 · 最后由 yiwei@coding.net 回复于 2019年09月16日 · 469 次阅读

持续集成使用 apt-get,怎么突然就报错了,之前都是好好的

The method driver /usr/lib/apt/methods/https could not be found.

共收到 11 条回复

@trtrtr6 下午好,很荣幸为您服务。您看下您的脚本是否有变化。

2楼 已删除

我还原回去也是一样的报错,只要用apt或者apt-get安装,就会报上面的错。 8.29号及之前都是好的,8.30开始就有问题了

这都没人管吗,我看有好几个帖子都有我这个情况

@trtrtr6 您是个人版还是企业版呢。

个人版是完全没人管的吗

@trtrtr6 建议您使用 Coding 企业版重新尝试下。

企业版也是一样的问题,我就想装一个sshpass,可视apt或者apt-get安装都会报下面的错

@trtrtr6 您按照以上脚本试下。

设置 agent any 之后好了,

之前都是设置按照下面的方式设置的

agent {
     // 此处设定构建环境,目前可选有
     // java-8,python-2.7,python-3.5,build-essential,ruby-2.3,go-1.7
     label "default"
 }
yiwei@coding.net 关闭了讨论 09月16日 16:39
yiwei@coding.net 重新开启了讨论 09月16日 16:39
yiwei@coding.net 关闭了讨论 09月16日 16:39
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册
相关话题